import request from '@/utils/request'

// 生成唯一订单编号
export function getCreatesole(parameter) {
  return request({
    url: '/api/waybill/createsole',
    method: 'get',
    params: parameter
  })
}
// 获取运单列表
export function getWaybill(parameter) {
  return request({
    url: '/api/waybill',
    method: 'get',
    params: parameter
  })
}
// 获取运单详情
export function getWaybillDetails(parameter) {
  return request({
    url: '/api/waybill/' + parameter,
    method: 'get',
  })
}

// 添加运单
export function addWaybill(parameter) {
  return request({
    url: '/api/waybill',
    method: 'post',
    data: parameter
  })
}

// 修改订单状态
export function putUpdateStatus(parameter) {
  return request({
    url: '/api/waybill/update-status',
    method: 'put',
    data: parameter
  })
}

// 订单转门店
export function putturnarounds(parameter) {
  return request({
    url: '/api/waybill/turnarounds',
    method: 'put',
    data: parameter
  })
}

// 审核订单
export function auditWaybill(parameter) {
  return request({
    url: '/api/waybill/audit',
    method: 'put',
    data: parameter
  })
}
// 编辑运单
export function putWaybill(parameter) {
  return request({
    url: '/api/waybill',
    method: 'put',
    data: parameter
  })
}
// 审核订单
export function putAdminaudit(parameter) {
  return request({
    url: '/api/waybill/adminaudit',
    method: 'put',
    data: parameter
  })
}

// 删除运单
export function delWaybill(parameter) {
  return request({
    url: '/api/waybill',
    method: 'delete',
    data: parameter
  })
}

// 派单
export function waybillDelivery(parameter) {
  return request({
    url: '/api/waybill/delivery',
    method: 'post',
    data: parameter
  })
}
// 签收
export function getReceipt(parameter) {
  return request({
    url: '/api/waybill/receipt',
    method: 'post',
    data: parameter
  })
}
// 公共页面签收
export function getCustomerReceipt(parameter) {
  return request({
    url: '/api/waybill/customer/receipt',
    method: 'post',
    data: parameter
  })
}

// 批量导入运单
export function waybillImport(parameter) {
  return request({
    url: '/api/waybill/import',
    method: 'post',
    data: parameter,
    uploading: true,
    timeout: 100000, // 请求超时时间
    headers: {
      'Content-Type': 'multipart-formData'
    },
  })
}

// 导出运单模板
export function exportTemplate(parameter) {
  return request({
    url: '/api/waybill/export-template',
    method: 'get',
    responseType: 'blob',
    params: parameter
  })
}

// 首页统计
export function getWaybillHome(parameter) {
  return request({
    url: '/api/waybill/home',
    method: 'get',
    params: parameter
  })
}

// 用户运单统计
export function getUserStats(parameter) {
  return request({
    url: '/api/waybill/user-stats',
    method: 'post',
    data: parameter
  })
}
// 下载pdf
export function getTemperature(parameter) {
  return request({
    url: '/api/address/export',
    method: 'post',
    responseType: 'blob',
    data: parameter
  })
}
